Redmine - Patch #35610

Cleanups after Wiki tab removal from project settings (#26579)
2021-07-26 23:23 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 5.0.0

Description

This is extracted from #34643.

¢ 1. Remove 'edit' action from :manage_wiki permission definition in Redmine::AccessControl.
Wikis#edit is removed by r17018.
¢ 2. Redirect_to project_path after WikisController#destroy.
o Project settings 'wiki' tab is removed by r16917 & r17017.
o This action is executed outside the project settings scope after r16916, thus we can better redirect to project_path.
¢ 3. Set :wiki menu_item for WikisController#destroy.
This action is executed inside the project wiki scope after r16916, thus we can better set the menu_item accordingly.

Related issues:
Copied from Redmine - Patch #34643: Cleanups and fixes after Wiki tab removal... Closed

Associated revisions

Revision 21086 - 2021-07-26 23:26 - Marius BALTEANU

Remove 'edit' action from :manage_wiki permission definition in Redmine::AccessControl. Wikis#edit is removed by r17018. (#35610).
Patch by Mischa The Evil.
Revision 21087 - 2021-07-26 23:27 - Marius BALTEANU
Redirect_to project_path after WikisController#destroy (#35610).

e Project settings 'wiki' tab is removed by r16917 & r17017.

* This action is executed outside the project settings scope after r16916,

thus we can better redirect to project_path.

Patch by Mischa The Evil.
Revision 21088 - 2021-07-26 23:28 - Marius BALTEANU

Set :wiki menu_item for WikisController#destroy (#35610).

This action is executed inside the project wiki scope after r16916,
thus we can better set the menu_item accordingly.

Patch by Mischa The Euvil.

Revision 21105 - 2021-07-28 18:12 - Marius BALTEANU

Removes unused wikis/edit.js.erb view (#35610).

History

#1 - 2021-07-26 23:23 - Marius BALTEANU
- Copied from Patch #34643: Cleanups and fixes after Wiki tab removal from project settings (#26579) added

#2 - 2021-07-26 23:23 - Marius BALTEANU
- File deleted (0004-Disable-the-wiki-module-after-deletion-of-a-project-.patch)

#3 - 2021-07-26 23:23 - Marius BALTEANU

2025-07-04 1/2



https://www.redmine.org/issues/34643
https://www.redmine.org/projects/redmine/repository/svn/revisions/17018
https://www.redmine.org/projects/redmine/repository/svn/revisions/16917
https://www.redmine.org/projects/redmine/repository/svn/revisions/17017
https://www.redmine.org/projects/redmine/repository/svn/revisions/16916
https://www.redmine.org/projects/redmine/repository/svn/revisions/16916

- File deleted (0005-Changed-wiki-start_page-name-to-118n-ed-field_start_.patch)

#4 - 2021-07-26 23:23 - Marius BALTEANU

- Description updated

#5 - 2021-07-26 23:30 - Marius BALTEANU

- Status changed from New to Closed

Patches committed, thank you.

#6 - 2021-07-27 04:52 - Mischa The Evil

- Status changed from Closed to Reopened

Thanks for handling this. Now that I've had a second look at this though, | noticed that the remaining 'edit' JavaScript view (
source:/trunk/app/views/wikis/edit.js.erb) is obsolete too and that it can be removed. Can this be handled via this issue (without a patch from me) too?

#7 - 2021-07-28 18:13 - Marius BALTEANU

- Status changed from Reopened to Closed
Mischa The Evil wrote:
Thanks for handling this. Now that I've had a second look at this though, | noticed that the remaining 'edit' JavaScript view (

source:/trunk/app/views/wikis/edit.js.erb) is obsolete too and that it can be removed. Can this be handled via this issue (without a patch from me)
too?

View removed in r21105, thanks.

Files

0001-Remove-edit-action-from-manage_wiki-permission-defin.patch 1.04 KB 2021-01-27 Mischa The Evil
0002-Redirect_to-project_path-after-WikisController-destr.patch 1.69 KB 2021-01-27 Mischa The Evil
0003-Set-wiki-menu_item-for-WikisController-destroy.patch 939 Bytes 2021-01-27 Mischa The Evil
